<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Message extends MY_Controller {

        function __construct()
        {
          parent::__construct();
          $this->load->library("apply_class");
        }

        function api_send_message()
        {
          $uid = $this->input->get("uid");
          $subject = $this->input->get("subject");
          $msg = $this->input->get("msg");
          $kind = $this->input->get("kind");
          $code = $this->input->get("code");
          if($code == md5("my365house".$uid))
           {
            exit;
           }
          
          $this->apply_class->send_systemmsg($uid,$subject,$msg,$kind);
        }

}
